Name:		bcd
Version:	3.7
Release:	%mkrel 4
Summary:	Iso builder for Mageia
Source0:	%{name}-%{version}.tar.bz2
License:	GPLv2+
Group:		System/Packaging
Url:		http://svn.mageia.org/cgi-bin/viewvc.cgi/soft/build_system/bcd
Requires:	perl-File-Copy-Recursive sudo urpmi perl-Parallel-ForkManager
Requires:	cdrkit-genisoimage cdrkit-isotools syslinux
Requires:	gfxboot mageia-gfxboot-theme drakxtools-backend rpmcheck rpmtools
Buildrequires:	perl-LaTeX-Driver perl-Class-Accessor texlive-fontsextra
BuildArch:	noarch


%description
Create Mageia DVD and CD ISO usinf drakx installer
- configuration file is now in XML format
- use of genhdlist2 with file-deps
- support the add of isolinux entry
- change the theme on all.rdz files
- just need an input and an exclude file per media
- write media.cfg
- use input or exclude list for each media
- use custom rpmsrate of compssusers.pl
- all sub-media supported (updates, testing...)
- iso HEADER
- suggests option per media
- md5 in a file
- create a product.id file
- create a VERSION file
- support rpmsrate CAT


%prep
%setup -q

%build
%make
%make pdf

%install
%make install PREFIX=$RPM_BUILD_ROOT

%files
%doc README *.xml lists create_dvd.sh create_dual.sh doc/*.pdf
%{_bindir}/bcd
%{_bindir}/*.pl
%{perl_vendorlib}/BCD
%{perl_vendorlib}/%{name}.pod
%{_mandir}/man1/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 3.7-4.mga4
+ Revision: 521381
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 3.7-3.mga3
+ Revision: 390730
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 3.7-2.mga3
+ Revision: 346880
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 ennael <ennael> 3.7-1.mga3
+ Revision: 255793
- update for Mageia 2  release and further
- initial import for bcd
- imported package bcd

